View Issue Details

IDProjectCategoryView StatusLast Update
0007047AnastasisC reducer implementationpublic2021-11-21 18:56
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionGit master 
Target Version0.3.0Fixed in Version0.3.0 
Summary0007047: reducer crashes with SIGSEGV if policy is malformed
DescriptionProgram terminated with signal SIGSEGV, Segmentation fault.
(gdb) bt
#0 0x00007ff600b228f1 in ANASTASIS_recovery_abort (r=0x561e360324a0) at anastasis_recovery.c:1462
#1 0x00007ff600b1fabe in policy_lookup_cb (cls=0x561e360324a0, http_status=200, dd=0x7ffe3809ee80)
    at anastasis_recovery.c:821
#2 0x00007ff600b0e86e in handle_policy_lookup_finished
    (cls=0x561e35f60890, response_code=200, data=0x561e36312500, data_size=1205) at anastasis_api_policy_lookup.c:146
#3 0x00007ff600a41623 in GNUNET_CURL_perform2
    (ctx=0x561e35e13790, rp=0x7ff600a40d66 <GNUNET_CURL_download_get_result_>, rc=0x7ff600a41d68 <clean_result>)
    at curl.c:952
#4 0x00007ff600a41e93 in context_task (cls=0x561e35fb2280) at curl_reschedule.c:148
#5 0x00007ff60095f781 in GNUNET_SCHEDULER_do_work (sh=0x561e35d69d40) at scheduler.c:2144
#6 0x00007ff6009606a7 in select_loop (sh=0x561e35d69d40, context=0x7ffe3809f2d0) at scheduler.c:2441
#7 0x00007ff60095a72a in GNUNET_SCHEDULER_run (task=0x7ff600952ce0 <program_main>, task_cls=0x7ffe3809f3d0)
    at scheduler.c:738
#8 0x00007ff600953e26 in GNUNET_PROGRAM_run2
    (argc=1, argv=0x7ffe3809f848, binaryName=0x561e356f20be "anastasis-gtk", binaryHelp=0x561e356f20a8 "GTK GUI for Anastasis", options=0x7ffe3809f700, task=0x7ff600a548e0 <run_main_loop>, task_cls=0x7ffe3809f640, run_without_scheduler=0) at program.c:345
#9 0x00007ff600953f85 in GNUNET_PROGRAM_run
    (argc=1, argv=0x7ffe3809f848, binaryName=0x561e356f20be "anastasis-gtk", binaryHelp=0x561e356f20a8 "GTK GUI for Anastasis", options=0x7ffe3809f700, task=0x7ff600a548e0 <run_main_loop>, task_cls=0x7ffe3809f640) at program.c:372
#10 0x00007ff600a54e8e in GNUNET_GTK_main_loop_start
    (binary_name=0x561e356f20be "anastasis-gtk", binary_help=0x561e356f20a8 "GTK GUI for Anastasis", argc=1, argv=0x7ffe3809f848, options=0x7ffe3809f700, main_window_file=0x561e356f2088 "anastasis_gtk_main_window.glade", main_task=0x561e356d46e3 <run>) at eventloop.c:939
#11 0x0000561e356d4925 in main (argc=1, argv=0x7ffe3809f848) at anastasis-gtk.c:249
TagsNo tags attached.

Activities

Christian Grothoff

2021-11-21 18:56

manager   ~0018517

Fixed in 12e1f2b..8e1adab

Issue History

Date Modified Username Field Change
2021-10-19 22:21 Florian Dold New Issue
2021-10-19 22:21 Florian Dold Status new => assigned
2021-10-19 22:21 Florian Dold Assigned To => Christian Grothoff
2021-11-06 17:39 Christian Grothoff Severity minor => crash
2021-11-06 17:39 Christian Grothoff Product Version => Git master
2021-11-06 17:39 Christian Grothoff Target Version => 0.3.0
2021-11-21 18:56 Christian Grothoff Status assigned => resolved
2021-11-21 18:56 Christian Grothoff Resolution open => fixed
2021-11-21 18:56 Christian Grothoff Fixed in Version => 0.3.0
2021-11-21 18:56 Christian Grothoff Note Added: 0018517